# A custom mailer that can be used from the Rails console for one-off emails
# today, and later connected from an admin panel mailing page.
#
# Assign any template variables you want to use:
#
#     user = User.first
#
# Create the email body from a custom email template file:
#
#     body = ERB.new(File.read('./tmp/mailer-1.txt.erb')).result binding
#
# Send email via Sidekiq:
#
#     CustomMailer.with(user: user, subject: "Important announcement", body: body).custom_message.deliver_later
#
class CustomMailer < ApplicationMailer
  def custom_message
    @user = params[:user]
    @subject = params[:subject]
    @body = params[:body]
    mail(to: @user.email, subject: @subject)
  end
end
